# Uses of Class
org.codehaus.janino.Java.SwitchStatement.SwitchBlockStatementGroup

Packages that use Java.SwitchStatement.SwitchBlockStatementGroup
Package
Description
org.codehaus.janino
The core of the Janino Java compiler.
org.codehaus.janino.util
Application-independent helper classes.

## Uses of Java.SwitchStatement.SwitchBlockStatementGroup in org.codehaus.janino

Fields in org.codehaus.janino with type parameters of type Java.SwitchStatement.SwitchBlockStatementGroup
Modifier and Type
Field
Description
`final List<Java.SwitchStatement.SwitchBlockStatementGroup>`
Java.SwitchStatement.`sbsgs`
The list of "switch block statement groups" that pose the body of the SWITCH statement.
Constructor parameters in org.codehaus.janino with type arguments of type Java.SwitchStatement.SwitchBlockStatementGroup
Modifier
Constructor
Description
``
`SwitchStatement(Location location, Java.Rvalue condition, List<Java.SwitchStatement.SwitchBlockStatementGroup> sbsgs)`

## Uses of Java.SwitchStatement.SwitchBlockStatementGroup in org.codehaus.janino.util

Methods in org.codehaus.janino.util that return Java.SwitchStatement.SwitchBlockStatementGroup
Modifier and Type
Method
Description
`Java.SwitchStatement.SwitchBlockStatementGroup`
DeepCopier.`copySwitchBlockStatementGroup(Java.SwitchStatement.SwitchBlockStatementGroup subject)`
Methods in org.codehaus.janino.util that return types with arguments of type Java.SwitchStatement.SwitchBlockStatementGroup
Modifier and Type
Method
Description
`List<Java.SwitchStatement.SwitchBlockStatementGroup>`
DeepCopier.`copySwitchBlockStatementGroups(Collection<? extends Java.SwitchStatement.SwitchBlockStatementGroup> subject)`
Methods in org.codehaus.janino.util with parameters of type Java.SwitchStatement.SwitchBlockStatementGroup
Modifier and Type
Method
Description
`Java.SwitchStatement.SwitchBlockStatementGroup`
DeepCopier.`copySwitchBlockStatementGroup(Java.SwitchStatement.SwitchBlockStatementGroup subject)`
Method parameters in org.codehaus.janino.util with type arguments of type Java.SwitchStatement.SwitchBlockStatementGroup
Modifier and Type
Method
Description
`List<Java.SwitchStatement.SwitchBlockStatementGroup>`
DeepCopier.`copySwitchBlockStatementGroups(Collection<? extends Java.SwitchStatement.SwitchBlockStatementGroup> subject)`